## ros-noetic-xpp-hyq 1.0.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xpp_hyq)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  xpp_vis
)

###################################
## catkin specific configuration ##
###################################
catkin_package()


###########
## Build ##
###########
## Specify additional locations of header files
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

# Declare a C++ library
add_library(${PROJECT_NAME}
  src/hyqleg_inverse_kinematics.cc
  src/inverse_kinematics_hyq1.cc
  src/inverse_kinematics_hyq2.cc
  src/inverse_kinematics_hyq4.cc
)

## URDF visualizers for all HyQ variants
add_executable(urdf_visualizer_hyq1 src/exe/urdf_visualizer_hyq1.cc)
target_link_libraries(urdf_visualizer_hyq1
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

add_executable(urdf_visualizer_hyq2 src/exe/urdf_visualizer_hyq2.cc)
target_link_libraries(urdf_visualizer_hyq2
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

add_executable(urdf_visualizer_hyq4 src/exe/urdf_visualizer_hyq4.cc)
target_link_libraries(urdf_visualizer_hyq4
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############
# Mark library for installation
install(
  TARGETS ${PROJECT_NAME} urdf_visualizer_hyq1 urdf_visualizer_hyq2 urdf_visualizer_hyq4
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark other files for installation
install(
  DIRECTORY launch rviz meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-xpp-hyq (1.0.10-1buster) buster; urgency=high

  * add xacro dependency
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Fri, 05 Apr 2019 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.9-1buster) buster; urgency=high

  * Merge pull request #7 from zlingkang/xacropi2xacro
    change deprecated xacro.py to xacro
  * Contributors: zlingkang

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.8-1buster) buster; urgency=high

  * avoid IK segfault for biped/hyq when not enough ee positions sent
  * removed limits on hyqleg joint angles
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Sat, 07 Jul 2018 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.7-1buster) buster; urgency=high

  * add rviz launch specifically for hyq
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Tue, 03 Jul 2018 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.6-1buster) buster; urgency=high

  * add missing libxpp_hyq.so library to catkin install
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Wed, 18 Apr 2018 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.5-1buster) buster; urgency=high

  * modernize CMake files
  * use default keyword for empty destructors
  * use default BSD license
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Thu, 01 Feb 2018 08:00:00 -0000

ros-noetic-xpp-hyq (1.0.4-1buster) buster; urgency=high

  * Merge pull request #3 from leggedrobotics/devel
    Fix xacro bug and remove terrain and optimization specific classes.
  * xpp_hyq: add --inorder when processing xacro files
    see http://wiki.ros.org/xacro#Processing_Order
  * cleaned up formatting of xacro files
  * removed unused xacro origin tag causing run failure
  * Contributors: Alexander W Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Wed, 03 Jan 2018 08:00:00 -0000

ros-noetic-xpp-hyq (1.0.3-1buster) buster; urgency=high

  * removed xpp_ros_conversions (now in xpp_states)
  * 1.0.2
  * update changelog
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Fri, 03 Nov 2017 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.2-1buster) buster; urgency=high



 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Sat, 28 Oct 2017 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.1-1buster) buster; urgency=high



 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Fri, 27 Oct 2017 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.0-1buster) buster; urgency=high

  * added separate xpp_example package and Readme.md
  * included install space in CMakeLists.txt
  * explicitly listing ros dependencies (not through catkin_package macro)
  * Added license to files and giving credit to contributors.
  * cleaned up package.xml and CMakeLists.txt files
  * cleaned up endeffector and joint representation
  * showed close connection of mono/bi/quad to hyq
  * added doxygen comments to header files
  * made xpp_vis robot independent. Added sample hopper executables
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Thu, 26 Oct 2017 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-xpp-hyq
Section: misc
Priority: optional
Maintainer: Alexander W. Winkler <alexander.w.winkler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roscpp, ros-noetic-xacro, ros-noetic-xpp-vis
Homepage: http://github.com/leggedrobotics/xpp
Standards-Version: 3.9.2

Package: ros-noetic-xpp-hyq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-roscpp, ros-noetic-xacro, ros-noetic-xpp-vis
Description: HyQ-robot specific functions for visualization in the XPP Motion Framework.
 These include inverse kinematics as well as urdf files for a one-legged, two-legged and four legged robot with HyQ legs. The dynamic model can be found here. See also IIT.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-xpp-hyq//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
